Commit d9d2e5f3 authored by xjm's avatar xjm

Issue #2477413 by daffie, Crell, bzrudi71, stefan.r, catch, mradcliffe, chx:...

Issue #2477413 by daffie, Crell, bzrudi71, stefan.r, catch, mradcliffe, chx: Increase minimum version requirement for Postgres to 9.1.2
parent 49f5b153
......@@ -51,7 +51,7 @@ public function name() {
* {@inheritdoc}
*/
public function minimumVersion() {
return '8.3';
return '9.1.2';
}
/**
......
......@@ -329,7 +329,7 @@ protected function processField($field) {
}
if (!empty($field['unsigned'])) {
// Unsigned datatypes are not supported in PostgreSQL 8.3. In MySQL,
// Unsigned datatypes are not supported in PostgreSQL 9.1. In MySQL,
// they are used to ensure a positive number is inserted and it also
// doubles the maximum integer size that can be stored in a field.
// The PostgreSQL schema in Drupal creates a check constraint
......@@ -569,7 +569,7 @@ public function fieldSetNoDefault($table, $field) {
}
public function indexExists($table, $name) {
// Details http://www.postgresql.org/docs/8.3/interactive/view-pg-indexes.html
// Details http://www.postgresql.org/docs/9.1/interactive/view-pg-indexes.html
$index_name = $this->ensureIdentifiersLength($table, $name, 'idx');
// Remove leading and trailing quotes because the index name is in a WHERE
// clause and not used as an identifier.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment